Skip to main content
GET
/
webhooks
/
{id}
Get a webhook
curl --request GET \
  --url https://api.questra.ai/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "org_id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Response

Webhook found

A registered webhook endpoint

id
string
required

Unique webhook ID

org_id
string
required

Organization ID this webhook belongs to

url
string<uri>
required

The endpoint URL that receives event deliveries

events
string[]
required

Event types this webhook subscribes to. Empty array means all events.

active
boolean
required

Whether deliveries are enabled

created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null

Optional human-readable label